// Basic, global strings (these are duplicated in CCC's Localizable.strings, but only to avoid having to slog through so many instances of it in CCC code)
"current_locale" = "en";
"Close" = "Close";
"OK" = "OK";
"Cancel" = "Cancel";
"Quit" = "Quit <PRODUCT_NAME>";
"Yes" = "Yes";
"No" = "No";
"GB" = "GB";

// BSHelpController
"app_help_title" = "<PRODUCT_NAME> Help";
"get_help_with_app" = "Get Help With <PRODUCT_NAME>";
"submit_app_logs" = "Submit <PRODUCT_NAME> configuration and activity logs";
"submit_app_crash_reports" = "Submit <PRODUCT_NAME>-related crash and diagnostic reports";

"privacy_policy_html_link" = "<a href=\"https://bombich.com/privacy\">Privacy Policy</a>";
"doc_no_internet_connection" = "An error occurred while trying to access content from the Internet";

"submit_attachments_without_report" = "The <PRODUCT_NAME> activity log and diagnostic reports contain information about how you are using <PRODUCT_NAME> and any problems that may have arisen during its use. If you would like to ask a question or report a problem, please start in the \"Get Help With <PRODUCT_NAME>\" tab. If you have already submitted a report, please use the form below to submit your diagnostic files.\n\nAny files that you submit will be stored in a private location. To protect your privacy, the contents of these files will never be publicly disclosed. We avoid logging file names when possible, however some files below may contain file names if those files are implicated in an error or part of a task filter. If you would like to review any of the files below prior to submission, double-click the file to reveal it in the Finder. The <a href=\"https://bombich.com/privacy\">Bombich Software Privacy Policy</a> is available online.";

"last_submission_%@_%@" = "Last submission: %@ (Report ID: %@)";
/* E.g. Uploading logs... */
"submitting_data_%@" = "Uploading %@...";
"diag_submission_failed" = "<PRODUCT_NAME> was unable to upload the diagnostics files for an unknown reason.";
"diag_submission_failed_%@" = "<PRODUCT_NAME> was unable to upload the diagnostics files: \"%@\"";
"diag_submission_failed_suggestion" = "Please email the indicated files to support@bombich.com";
"N/A" = "N/A";

/* The name of the field shouldn't be localized until the Help Desk supports it */
"Please complete the \"%@\" field." = "Please complete the \"%@\" field.";
"Please describe your concern about this error message." = "Please describe your concern about this error message.";
"replace_stub_text_%@" = "Replace the stub text \"%@\" with your specific concern. If the suggested advice or documentation didn't help you solve the problem, please, let us know!";
"reg_assistance_details_request" = "Please provide as many details as possible to help us find your purchase record.";
"replace_stub_reg_text_%@" = "Replace the stub text \"%@\" with your specific information.";

"support_request_confirm_close" = "Would you like to go back and submit this support request?";
"support_request_confirm_close_detail" = "The text you entered into the support request form will be discarded if you do not submit the request before closing this window.";

"Go Back" = "Go Back";
"Submit Request Without Logs" = "Submit Request Without Logs";
"Submit Logs" = "Submit Logs";
"Submit Logs & Request" = "Submit Logs & Request";
"Gathering Logs…" = "Gathering Logs…";

"failed_to_load_interface_resource" = "<PRODUCT_NAME> was unable to load an interface resource file";
"failed_to_load_interface_resource_suggestion" = "If this problem persists after downloading a new copy of <PRODUCT_NAME> from bombich.com, please choose \"Report a problem\" from <PRODUCT_NAME>'s Help menu to get help resolving the problem.";

"api_submission_error_occurred_%@" = "An error occurred while submitting your request:\n%@";
"api_submission_error_suggestion" = "Please email us at support@bombich.com so we can help you with your original problem, and get to the bottom of the submission problem as well. Thanks!";
"api_submission_succeeded" = "Your request was successfully submitted to the Bombich Software Help Desk";
"api_submission_succeeded_details" = "You will receive a response via email, and you can review the discussion at the link at the bottom of this window.";
"new_discussion_url_%@_%@" = "Last support request: <a href=\"%@\">%@</a>";
"report_the_problem_suggestion" = "Please choose \"Report a problem\" via <PRODUCT_NAME>'s Help menu to get help resolving the issue.";

// ExternalTask (or any strings common to more than one ET subclass)
"signature_invalid" = "Some portion of <PRODUCT_NAME> may have been altered since you downloaded it";
"signature_invalid_suggestion_%@" = "Move this version to the Trash, then re-download <PRODUCT_NAME> from https://bombich.com %@";

// BSAlert
"suppress_alert" = "Don't warn me about this again";

// Disks and friends
"Mount point: %@" = "Mount point: %@";
"Filesystem: %@" = "Filesystem: %@";
"Filesystem URL: %@" = "Filesystem URL: %@";
"Capacity: %@" = "Capacity: %@";
"Available: %@" = "Available: %@";
"Used: %@" = "Used: %@";
"This volume is read-only" = "This volume is read-only";
"OS X version: %@" = "macOS version: %@";
"Mac OS not installed" = "macOS not installed";
"untitled_volume" = "Untitled";
/* e.g. 300 GB USB Volume*/
"volume_description_%@_%@" = "%1$@ %2$@ Volume";
"dmg_volume_description_%@" = "%1$@ Disk Image Volume";
"Volume: %@" = "Volume: %@";
"Folder: %@" = "Folder: %@";
"Host: %@" = "Host: %@";
"destDmgStats_%@_%@" = "%@\nUnderlying volume stats:\n%@";
"dmg_size_%@" = "Disk image file size: %@";
"disk_usage_unavailable" = "Disk usage unavailable";
"dmg_label" = "Disk Image";
"tt_system_only" = " (Data volume not included)";
"role:" = "Role:";
"quota_%@" = "Quota: %@";
"reserved_size_%@" = "Reserved: %@";
"ma_compatible_os_%@" = "Migration Assistant: %@+";
"ma_not_compatible" = "Migration Assistant: ⚠️";
"data_only_backup_associated_os_%@" = "Migration Assistant can migrate content from this volume to a Mac running macOS %@ (and later).";
"Startup Disk" = "Startup Disk";

/* some of these strings are volume format derived from other objects and should not be removed (in case a source code lookup was performed) */
"hfs" = "Mac OS Extended";
"apfs" = "APFS";
"msdos" = "MS-DOS";
"ntfs" = "Windows NT File System";
"afpfs" = "AppleShare";
"smbfs" = "SMB File Sharing";
"cifs" = "Windows File Sharing";
"webdav" = "WebDAV";
"exfat" = "ExFAT";
"udf" = "Universal Disk Format";
"nfs" = "Network File System";
"ufs" = "Unix File System";
"Case Sensitive" = "Case Sensitive";
"Journaled" = "Journaled";
"Encrypted" = "Encrypted";
"Not encrypted" = "Not encrypted";
"cddafs" = "CD";

"ownership" = "ownership";
"read_only" = "Mounted Read Only";
"token_apple_silicon_shared_disk" = "Apple Silicon Shared Disk";

"IOApplePartitionScheme" = "Apple Partition Map (APM)";
"IOCDPartitionScheme" = "CD Partition Scheme";
"IOFDiskPartitionScheme" = "FDisk Partition Scheme";
"IOGUIDPartitionScheme" = "GUID Partition Table (GPT)";
"IONoPartitionScheme" = "No Partition Map";

"prog_chart_bandwidth_label" = "MB/s";
"prog_chart_files_label" = "Files/s";
"IO Errors: R:%@ W:%@" = "IO Errors: R:%@ W:%@";
"prog_chart_label" = "Read and Write Activity";
"vo_disk_io_%@_%@" = "Read rate is %@ per second, write rate is %@ per second";
"vo_performance_chart_description_%@_%f" = "Average write rate is %@, %.0f files evaluated per second";

"usb11_htmltip" = "This device is connected via USB 1.1 (Low, up to 1.5 Mbps). Read and write performance on this device will be exceptionally slow.";
"usb2_htmltip" = "This device is connected via USB 2 (High, up to 480 Mbps)";
"usb3_htmltip" = "This device is connected via USB 3 (SuperSpeed USB 5Gbps)";
"usb31_htmltip" = "This device is connected via USB 3.1 (SuperSpeed USB 10Gbps)";
"usb32_htmltip" = "This device is connected via USB 3.2 (SuperSpeed USB 20Gbps)";

"usb_htmltip" = "This device is connected via the slowest, legacy USB protocol.";
"usbhubnote_htmltip" = "This device is connected via a USB hub. If you encounter poor performance or unreliable device connectivity during backups, connect this device directly to a USB port on your Mac.";
"volumeGroupDesc_htmltip" = "Grouped with volume: <b>%@</b><br>Learn more about <a href='com.bombich.ccc6.help://working-apfs-volume-groups'>APFS volume groups</a><br>"; // help_anchor
"hdd_htmltip" = "This disk is a rotational device. Performance of this device depends on its rotation speed and seek latency. If available, the label will indicate the disk's rotational speed. 7200RPM is common and offers average performance. 5400RPM is typical for devices that aim for energy efficiency rather than speed. Devices with 10,000RPM will offer faster performance.";
"ssd_htmltip" = "This disk is based on NAND storage, which offers very good read and write performance.";
"sdxc_htmltip" = "This device is a removable storage card.";
"cardSpeed_htmltip" = "Card speed identifier. Transfer speed varies also based on the bus speed of this Mac.";
"thunderbolt_htmltip" = "This device is connected via <b>Thunderbolt</b>. The label may also indicate the actual physical connection speed, e.g. 6Gb/s is equal to 6 Gigabits per second (750MB/s).";
"noownership_htmltip" = "Ownership is not currently enabled on this volume.";
"readonly_htmltip" = "Mounted as a read-only volume.";
"msdos_htmltip" = "This volume is formatted with <b>MS-DOS</b> filesystem. This filesystem offers compatibility across many OSes, but lacks support for files larger than 4GB and uses space inefficiently.";
"exfat_htmltip" = "This volume is formatted as <b>ExFAT</b>. This format is useful for sharing files with non-Mac systems, but generally should be avoided due to exceptionally poor performance and inefficient use of space.";
"encrypted_htmltip" = "Volume is encrypted";
"RAID_htmltip" = "RAID volume. If a number is present, it will indicate the RAID level.";
"hfs_htmltip" = "This volume is formatted with Apple's legacy <b>HFS+</b> format.";
"ntfs_htmltip" = "This volume is formatted with a Windows File System.";
"IOFDiskPartitionScheme_htmltip" = "Volumes on a disk partitioned with the <b>FDisk</b> partitioning scheme will not be bootable, and cannot be formatted as APFS.";
"IONoPartitionScheme_htmltip" = "No partition scheme is defined.";
"IOGUIDPartitionScheme_htmltip" = "Standard partition scheme (GUID Map) under macOS.";
"MEMBER-RAID_htmltip" = "A RAID volume is created by combining several physical devices into a single volume. This label shows the device path where the data is partially stored. RAID members can be linked together via a software driver or by special hardware.";
"apfs_htmltip" = "This volume is <b>APFS</b> formatted and can be used with <b>macOS High Sierra (10.13)</b> and newer. APFS was introduced by Apple in macOS High Sierra as a replacement for the legacy HFS+ filesystem.";
"AppleAPFSContainer_htmltip" = "This volume resides within an APFS container and may share its free space with another volume in the same container and physical disk.";
"noos_htmltip" = "macOS is not installed on this volume.";
"osversiondetail_htmltip" = "macOS <b>%@</b> is installed on this volume.";
"fusion_htmltip" = "Fusion volume with member devices: <b>%@</b>";
"reservedsize_htmltip" = "This volume has a reserved size within the APFS container that will be available.";
"quotasize_htmltip" = "This volume has a quota size for the overall maximum storage size.";

/*  note: these strings are used without the _html ending in the code files */
"encryption_tip_already_encrypted_htmltip" = "FileVault is already enabled on this volume.<br>Learn more about FileVault at <a href='https://support.apple.com/kb/HT4790'>https://support.apple.com/kb/HT4790</a>.<br>";
"encryption_tip_not_encrypted_startup_disk_htmltip" = "<b>This volume is not encrypted</b>.<br>You can enable encryption on this volume in the \"Privacy & Security\" Settings in the System Settings application.<br>Learn more about FileVault at <a href='https://support.apple.com/kb/HT4790'>https://support.apple.com/kb/HT4790</a>.<br>";
"encryption_tip_not_encrypted_apfs_htmltip" = "<b>This volume is not encrypted</b>.<br><a href='com.bombich.ccc6.help://working-filevault-encryption'>Learn how to enable encryption on this volume.</a><br>";
"encryption_tip_not_eligible_not_guid_htmltip" = "<b>Encryption cannot be enabled on this volume</b><br>Encryption can only be enabled on APFS or Journaled HFS+ volumes residing on a disk that has been partitioned with the GUID Partition Table (GPT) partitioning scheme. If you would like to enable encryption on this volume, use Disk Utility to repartition the underlying disk using the GPT partitioning scheme.<br>Learn more about FileVault at <a href='https://support.apple.com/kb/HT4790'>https://support.apple.com/kb/HT4790</a>.<br>";
"encryption_tip_not_eligible_not_hfs_htmltip" = "<b>Encryption cannot be enabled on this volume</b><br>Encryption can only be enabled on APFS or Journaled HFS+ volumes residing on a disk that has been partitioned with the GUID Partition Table (GPT) partitioning scheme. If you would like to enable encryption on this volume, use Disk Utility to reformat the volume as \"<b>APFS (Encrypted)</b>\" or \"<b>Mac OS Extended (Journaled, Encrypted)</b>\".<br>Learn more about FileVault at <a href='https://support.apple.com/kb/HT4790'>https://support.apple.com/kb/HT4790</a>.<br>";
"encryption_tip_not_eligible_is_RAID_htmltip" = "<b>Encryption cannot be enabled on this volume</b><br>You can't convert an AppleRAID volume to Core Storage.<br>Learn more about FileVault at <a href='https://support.apple.com/kb/HT4790'>https://support.apple.com/kb/HT4790</a>.<br>";
"encryption_tip_not_eligible_htmltip" = "<b>Encryption cannot be enabled on this volume</b><br>Learn more about FileVault at <a href='https://support.apple.com/kb/HT4790'>https://support.apple.com/kb/HT4790</a>.";
"encryption_tip_not_encrypted_apfs_system_htmltip" = "Encryption is not applicable to APFS System volumes on macOS 11 and later. FileVault encryption is only applied to the Data volume.<br>";
"encryption_tip_not_encrypted_htmltip" = "<b>This volume is not encrypted</b>.<br>Learn more about FileVault at <a href='https://support.apple.com/kb/HT4790'>https://support.apple.com/kb/HT4790</a>.<br>";

// BSSoftwareUpdate
"%.0lfk of %.0lfk" = "%1$.0lfk of %2$.0lfk";
"%@ %@ is currently the newest version available." = "%1$@ %2$@ is currently the newest version available.";
"update_available_%@_%@_%@" = "%1$@ %2$@ is now available (you have %3$@). Would you like to download it now?";
"%@ does not have permission to write to the application's directory! Move <PRODUCT_NAME> to the Trash, then download the latest version at https://bombich.com/download" = "%@ does not have permission to write to the application's directory! Move <PRODUCT_NAME> to the Trash, then download the latest version at https://bombich.com/download.";
"A new version of %@ is available!" = "A new version of %@ is available!";
"An error occurred during installation. Please try again later." = "An error occurred during installation. Please try again later.";
"An error occurred in retrieving update information. Please try again later." = "An error occurred in retrieving update information. Please try again later.";
"An error occurred while extracting the archive. Please try again later." = "An error occurred while extracting the archive. Please try again later.";
"An error occurred while trying to download the file. Please try again later." = "An error occurred while trying to download the file. Please try again later.";
"An update is already in progress!" = "An update is already in progress!";
"Downloading update..." = "Downloading update...";
"Extracting update..." = "Extracting update...";
"Install and Relaunch" = "Install and Relaunch";
"Installing update..." = "Installing update...";
"Update Error!" = "Update Error!";
"Updating %@" = "Updating %@";
"Would you like %@ to check for updates on startup? If not, you can initiate the check manually from the application menu." = "Would you like %@ to check for updates on startup? If not, you can initiate the check manually from the application menu.";
"You're up to date!" = "You're up to date!";
"open_app_for_update_details_%@" = "Open <PRODUCT_NAME> to see the details of the <PRODUCT_NAME> %@ update.";
"update_alert_have_running_tasks" = "Running tasks must be stopped prior to applying an update.";
"update_alert_have_running_tasks_extra" = "Would you like to stop the tasks and apply the update now, or apply the update later?";

"auto_check_prompt" = "You can also help us improve <PRODUCT_NAME> by sharing application usage and task statistics with Bombich Software. You can adjust these settings any time in the Software Update section of <PRODUCT_NAME>'s Settings window.";
"Check for updates on startup?" = "Should <PRODUCT_NAME> regularly check for updates?";
"collect_task_stats" = "Collect anonymous usage statistics";
"Don't Check" = "Don't Check";
"Check Automatically" = "Check Automatically";
"Install Update" = "Install Update";
"Install Upgrade" = "Install Upgrade";

// DiskDetailsViewController
"checking_for_snapshots" = "Checking for available snapshots…";
"this_may_take_moment" = "This may take a moment…";
"removing_%ld_snapshots" = "Removing %ld snapshots…";
"cannot_delete_snapshots" = "<PRODUCT_NAME> was unable to delete some snapshots. Try removing the snapshot(s) after restarting the system.";
"snapshot" = "Snapshot";
"snapshots" = "Snapshots";
"Collecting…" = "Collecting snapshot details…";
"ddvc_enable_encryption_%@" = "Provide a password to encrypt '%@'.";
"ddvc_enable_encryption_extra" = "To facilitate automated mounting of this volume, <PRODUCT_NAME> will store this password in the System Keychain.\n\nWarning: If you forget this password you will not be able to access the content of this volume. This operation cannot be cancelled, and forgotten passwords cannot be retrieved.";
"ddvc_enable_encryption_failed_%@" = "<PRODUCT_NAME> was unable to enable encryption on '%@'";
"ddvc_enable_encryption_failed_extra" = "If this result persists after restarting and trying again, erase the volume as \"APFS (Encrypted)\" in Disk Utility instead.";
"ddvc_set_volume_keychain_item_failed" = "<PRODUCT_NAME> was unable to save the password for this volume in the System keychain.";
"ddvc_disable_encryption_%@" = "Provide the encryption password for '%@' to disable encryption on that volume.";
"ddvc_disable_encryption_failed_%@" = "<PRODUCT_NAME> was unable to disable encryption on '%@'";
"ddvc_disable_encryption_failed_auth_failed" = "The password you provided was incorrect.";
"ddvc_disable_encryption_failed_general" = "If this result persists after restarting and trying again, erase the volume as 'APFS' in Disk Utility instead.";
"ddvc_encrypting_%@" = "Encrypting… %@";
"ddvc_decrypting_%@" = "Decrypting… %@";
"ddvc_paused" = "(Paused)";
"confirm_delete_snapshot" = "Are you sure you want to delete the selected snapshot?";
"confirm_delete_snapshot_plural" = "Are you sure you want to delete the selected snapshots?";
"confirm_snapshot_delete_info" = "This action is not undoable, deleted snapshots cannot be recovered.";
"delete_snapshot_disallowed_encryption_activity" = "Snapshots cannot be deleted while encryption conversion is ongoing.";
"delete_snapshot_disallowed_encryption_activity_info" = "Try again later when the encryption or decryption conversion has completed.";
"Browse in Finder" = "Browse in Finder";

// BSUtilityKitService
"init_clonekit_failed" = "<PRODUCT_NAME> was unable to load resources required to access APFS snapshot functionality.";
"init_clonekit_failed_suggestion" = "Quit, then reopen <PRODUCT_NAME> and select this volume in <PRODUCT_NAME>'s sidebar.";

"delete_snapshot_failed_summary" = "Trying to delete a snapshot";
"delete_snapshot_failed_advice_ebusy" = "The snapshot was mounted and in use. Try removing the snapshot after restarting the computer.";

"mount_snapshot_failed_summary" = "Trying to mount a snapshot";
"mount_snapshot_failed_advice_enoent" = "The specified snapshot does not exist.";

"unmount_snapshot_failed_summary" = "Trying to unmount a snapshot";
"unmount_snapshot_failed_advice_ebusy" = "Some application is currently using the snapshot.";


// Error strings
"unmount_volume_failed_%@" = "<PRODUCT_NAME> was unable to unmount the '%@' volume.";
"unmount_failed_suggestion" = "Try ejecting the device in Disk Utility. If the problem persists, click the '?' button below for additional troubleshooting suggestions.";
"mount_failed" = "<PRODUCT_NAME> was unable to mount the selected volume.";
"mount_failed_suggestion" = "Try mounting the device in Disk Utility. If the problem persists, use Disk Utility's 'First Aid' tool to verify that the volume is not damaged.";
"unlock_volume_failed" = "<PRODUCT_NAME> was unable to unlock and mount the selected volume.";
"unlock_failed_suggestion" = "<PRODUCT_NAME> may have the wrong password in its keychain. Would you like to reset the password in <PRODUCT_NAME>'s keychain?";
"%@ (Dissenting process: %@)" = "%@ (Dissenting process: %@)";
